List all SSO authentication providers
Returns a list of your SSO authentication providers.
GET
/
authentication_providers
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const authenticationProvider of client.authenticationProviders.list()) {
console.log(authenticationProvider.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.authentication_providers.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AuthenticationProviders.List(context.TODO(), telnyx.AuthenticationProviderListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.authenticationproviders.AuthenticationProviderListPage;
import com.telnyx.sdk.models.authenticationproviders.AuthenticationProviderListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AuthenticationProviderListPage page = client.authenticationProviders().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.authentication_providers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->authenticationProviders->list(
pageNumber: 0, pageSize: 0, sort: 'name'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx authentication-providers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/authentication_providers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "35146afd-df93-4963-b1e9-1a085e2ae874",
"record_type": "authentication_provider",
"name": "Okta",
"short_name": "myorg",
"organization_id": "24b4a4bb-c4df-46ad-bbcb-23fc741c5ad7",
"active": true,
"activated_at": "2018-02-02T22:25:27.521Z",
"settings": {
"assertion_consumer_service_url": "https://api.telnyx.com/sso/saml/auth/myorg",
"service_provider_entity_id": "https://api.telnyx.com/sso/saml/metadata/myorg",
"service_provider_login_url": "https://api.telnyx.com/sso/myorg",
"idp_entity_id": "https://myorg.myidp.com/saml/metadata",
"idp_sso_target_url": "https://myorg.myidp.com/trust/saml2/http-post/sso",
"idp_cert_fingerprint": "13:38:C7:BB:C9:FF:4A:70:38:3A:E3:D9:5C:CD:DB:2E:50:1E:80:A7",
"idp_cert_fingerprint_algorithm": "sha256",
"name_identifier_format": "urn:oasis:names:tc:SAML:1.1:nameid-format",
"idp_slo_target_url": "https://myorg.myidp.com/trust/saml2/http-redirect/slo",
"idp_certificate": "-----BEGIN CERTIFICATE-----\nMIIC...\n-----END CERTIFICATE-----",
"idp_attribute_names": {
"email": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress"
},
"provision_groups": false
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{}{}{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the - prefix.
That is:
-
name: sorts the result by thenamefield in ascending order. -
-name: sorts the result by thenamefield in descending order.
If not given, results are sorted by
created_at in descending order.Available options:
name, -name, short_name, -short_name, active, -active, created_at, -created_at, updated_at, -updated_at Example:
"name"
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const authenticationProvider of client.authenticationProviders.list()) {
console.log(authenticationProvider.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.authentication_providers.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AuthenticationProviders.List(context.TODO(), telnyx.AuthenticationProviderListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.authenticationproviders.AuthenticationProviderListPage;
import com.telnyx.sdk.models.authenticationproviders.AuthenticationProviderListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AuthenticationProviderListPage page = client.authenticationProviders().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.authentication_providers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->authenticationProviders->list(
pageNumber: 0, pageSize: 0, sort: 'name'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx authentication-providers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/authentication_providers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "35146afd-df93-4963-b1e9-1a085e2ae874",
"record_type": "authentication_provider",
"name": "Okta",
"short_name": "myorg",
"organization_id": "24b4a4bb-c4df-46ad-bbcb-23fc741c5ad7",
"active": true,
"activated_at": "2018-02-02T22:25:27.521Z",
"settings": {
"assertion_consumer_service_url": "https://api.telnyx.com/sso/saml/auth/myorg",
"service_provider_entity_id": "https://api.telnyx.com/sso/saml/metadata/myorg",
"service_provider_login_url": "https://api.telnyx.com/sso/myorg",
"idp_entity_id": "https://myorg.myidp.com/saml/metadata",
"idp_sso_target_url": "https://myorg.myidp.com/trust/saml2/http-post/sso",
"idp_cert_fingerprint": "13:38:C7:BB:C9:FF:4A:70:38:3A:E3:D9:5C:CD:DB:2E:50:1E:80:A7",
"idp_cert_fingerprint_algorithm": "sha256",
"name_identifier_format": "urn:oasis:names:tc:SAML:1.1:nameid-format",
"idp_slo_target_url": "https://myorg.myidp.com/trust/saml2/http-redirect/slo",
"idp_certificate": "-----BEGIN CERTIFICATE-----\nMIIC...\n-----END CERTIFICATE-----",
"idp_attribute_names": {
"email": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress"
},
"provision_groups": false
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{}{}{}